# iconcontroller.h File Reference

Template Header. More...

`#include <gtkmm/stock.h>`
`#include <gtkmm/iconfactory.h>`
`#include <gtkmm/iconset.h>`
`#include <gdkmm/cursor.h>`
`#include <synfig/value.h>`

Go to the source code of this file.

## Namespaces

namespace | synfig
namespace | synfigapp
namespace | synfigapp::Action
namespace | studio

## Classes

class | studio::IconController

## Functions

Gtk::StockID | studio::layer_icon (const synfig::String &layer)
Glib::RefPtr< Gdk::Pixbuf > | studio::get_tree_pixbuf_layer (const synfig::String &layer)
Gtk::StockID | studio::value_icon (synfig::ValueBase::Type type)
Gtk::StockID | studio::valuenode_icon (etl::handle< synfig::ValueNode > value_node)
Glib::RefPtr< Gdk::Pixbuf > | studio::get_tree_pixbuf (synfig::ValueBase::Type type)
Gtk::StockID | studio::get_action_stock_id (const synfigapp::Action::BookEntry &action)

## Detailed Description

Template Header.

$Id$